> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatic.trading/llms.txt
> Use this file to discover all available pages before exploring further.

# Chainlink Price

> Fetches a price exclusively from Chainlink Data Streams. Only supports Chainlink market types: `5min`, `15min`, `4hour`.



## OpenAPI

````yaml GET /api/v1/targets/chainlink
openapi: 3.1.0
info:
  title: Vatic API
  version: 1.0.0
  description: >-
    Polymarket price targets, Hyperliquid prediction market data, market
    timestamps, fee calculators, and order management for systematic prediction
    market trading.
servers:
  - url: https://api.vatic.trading
    description: Production
security: []
paths:
  /api/v1/targets/chainlink:
    get:
      tags:
        - Price Targets
      summary: Chainlink price at timestamp
      description: >-
        Fetches a price exclusively from Chainlink Data Streams. Only supports
        Chainlink market types: `5min`, `15min`, `4hour`.
      operationId: getTargetsChainlink
      parameters:
        - name: asset
          in: query
          required: true
          schema:
            type: string
            enum:
              - btc
              - eth
              - sol
              - xrp
              - hype
              - doge
              - bnb
        - name: type
          in: query
          required: true
          schema:
            type: string
            enum:
              - 5min
              - 15min
              - 4hour
          description: Chainlink-sourced interval types only.
        - name: timestamp
          in: query
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Chainlink price
          content:
            application/json:
              example:
                now: '2025-04-07T12:00:00.000Z'
                asset: btc
                marketType: 5min
                requestedTimestamp: 1744027500
                source: chainlink
                price: 82450.75
                _cache:
                  hit: false
                  windowStart: 1744027500
                  ageSec: 2
        '400':
          description: Validation error
        '502':
          description: Chainlink upstream error
        '503':
          description: Chainlink upstream throttled

````